{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/album.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex flex-grow-1 flex-fill">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="main">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div id="divMain">
                    <button class="btn btn-primary" type="button" id="back"
                        onclick="window.location.href = '/connected/album/';"><img
                            src="{{url_for('static',filename='img/angle-left-solid.svg')}}" id="imgBack"></button>
                    <h1 class="text-center" id="titreAlbum">Album</h1>
                    <div class="d-xl-flex justify-content-xl-center align-items-xl-center" id="divImg"><img
                            src="{{album.urlImage}}">
                        <p id="pseudoAlbum">{{album.titre}}</p>
                    </div>
                    {% if not liked %}
                    <div class="center"><button class="btn btn-primary" type="button"
                            onclick="window.location.href = '/connected/album/{{album.id}}/like';">Ajouter à Ma
                            Musique</button>
                    </div>
                    {% else %}
                    <div class="center"><button class="btn btn-primary" type="button"
                            onclick="window.location.href = '/connected/album/{{album.id}}/unlike';">Retirer de Ma
                            Musique</button>
                    </div>
                    {% endif %}
                    <div id="info">
                        <ul id="content">
                            <li class="align-content-center">
                                <div class="d-xl-flex justify-content-center align-items-xl-center">
                                    <p class="d-xl-flex justify-content-xl-center">Artiste:</p>
                                    <p>{{artiste_nom}}</p>
                                </div>
                            </li>
                            <li class="align-content-center">
                                <div class="d-xl-flex justify-content-center align-items-xl-center">
                                    <p class="d-xl-flex justify-content-xl-center">Date de
                                        sortie:</p>
                                    <p>{{album.dateDeSortie.year}}</p>
                                </div>
                            </li>
                            <li class="align-content-center">
                                <div class="d-xl-flex justify-content-center align-items-xl-center">
                                    <p class="d-xl-flex justify-content-xl-center">Note globale:</p>
                                    <p>{{note}}{% if note != "Pas de note"%}/ 5 {% endif %} </p>
                                </div>
                            </li>
                            <li class="align-content-center">
                                <div class="d-xl-flex justify-content-center align-items-xl-center">
                                    <p class="d-xl-flex justify-content-xl-center">Note personnelle:</p>
                                    {% if not deja_note %}
                                    <p>Pas de note</p>
                                    <button
                                        class="btn dropdown-toggle bg-white border d-flex align-items-center flex-nowrap"
                                        type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false" style="margin-bottom: 1em;"> Ajouter
                                        une note
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        <div class="dropdown-item">
                                            <form action="/connected/album/{{album.id}}/noter" method="POST">
                                                <input class="form-control" type="number" name="val" max="5" step="0.1"
                                                    required>
                                        </div>
                                        <button class="btn btn-primary" type="submit"
                                            style="margin-left: 5em;">Valider</button>
                                        </form>
                                    </div>
                                </div>
                                {% else %}
                                <p>{{round(notePerso.note_album,2)}}/ 5</p>
                                <button
                                    class="btn dropdown-toggle bg-white border d-flex align-items-center flex-nowrap"
                                    type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false" style="margin-bottom: 1em;"> Modifier la note
                                </button>
                                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                    <div class="dropdown-item">
                                        <form action="/connected/album/{{album.id}}/note/modif" method="POST">
                                            <input class="form-control" type="number" name="val" max="5" step="0.1"
                                                required>
                                    </div>
                                    <button class="btn btn-primary" type="submit"
                                        style="margin-left: 5em;">Valider</button>
                                    </form>
                                </div>
                    </div>
                    {% endif %}
                </div>
                </li>
                </ul>
            </div>
            <div>
                <div class="table-responsive" id="table">
                    <table class="table" style="border-collapse: collapse;border: solid thin;">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Titre</th>
                                <th>Durée</th>
                                <th>Option</th>
                            </tr>
                        </thead>
                        <tbody>
                            {% set count = namespace(value=0) %}
                            {% for musique in albumContenu %}
                            {% set count.value = count.value + 1 %}
                            <tr>
                                <td>{{count.value}}</td>
                                <td>{{musique.titre}}</td>
                                <td>{{musique.duree}}</td>
                                <td id="{{count.value}}">
                                    <button id="button{{count.value}}"
                                        class="btn dropdown-toggle bg-white border d-flex align-items-center flex-nowrap"
                                        type="button" id="dropdownMenuButton" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">
                                        Ajouter à
                                    </button>
                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                        {% set nb = namespace(value=0) %}
                                        {% for elem in dictPlaylists.keys() %}
                                        {% if musique.id not in dictPlaylists[elem] %}
                                        {% set nb.value = nb.value + 1 %}
                                        <a class="dropdown-item"
                                            href="/connected/playlist/{{elem}}/add/{{musique.id}}/{{album.id}}">{{elem}}</a>
                                        {% endif %}
                                        {% if nb.value == 0 %}
                                        <script type="text/javascript">
                                            var p = document.getElementById("{{count.value}}");
                                            var c = document.getElementById("button{{count.value}}");
                                            p.removeChild(c);
                                        </script>
                                        {% endif %}
                                        {% endfor %}
                                    </div>
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>

    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }
        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script
    </script>
    {% endblock %}
</body>
{% endblock %}